"""define menu and key"""

__all__=['menulist', 'rmenulist', 'keylist', 'eventlist', 'toolbuttonlist']

menulist=\
[
    ('_File', 
        [
            ('New\tCtrl+N',     '<<file-new>>'),
            ('Open\tCtrl+O',    '<<file-open>>'),
            ('Save\tCtrl+S',    '<<file-save>>'),
            ('Save as...',      '<<file-saveas>>'),
            ('Close',           '<<file-close>>'),
            ('-',               None),
            ('Exit\tAlt+F4',     '<<file-exit>>')
        ]),
    ('_Edit',
        [
            ('Undo\tCtrl+Z',    '<<undo>>'),
            ('Redo\tCtrl+Y',    '<<redo>>'),
            ('-',               None),
            ('Cut\tCtrl+X',     '<<Cut>>'),
            ('Copy\tCtrl+C',    '<<Copy>>'),
            ('Paste\tCtrl+V',   '<<Paste>>'),
            ('-',               None)
        ])
]

rmenulist=\
[
    ('Cut\tCtrl+X',     '<<Cut>>'),
    ('Copy\tCtrl+C',    '<<Copy>>'),
    ('Paste\tCtrl+V',   '<<Paste>>'),
    ('-',               None)
]

#keylist
keylist=\
{
    '<<file-new>>':             ['<Control-n>'],
    '<<file-open>>':            ['<Control-o>'],
    '<<file-exit>>':            ['<Alt-F4>'],
    '<<file-save>>':            ['<Control-s>'],
    '<<undo>>':                 ['<Control-z>'],
    '<<redo>>':                 ['<Control-y>'],
    '<<Cut>>':                  ['<Control-x>'],
    '<<Copy>>':                 ['<Control-c>'],
    '<<Paste>>':                ['<Control-v>']
}

#eventlist
eventlist=\
    [
        ('<<file-open>>',           'on_file_open'),
        ('<<file-new>>',            'on_file_new'),
        ('<<file-save>>',           'on_file_save'),
        ('<<file-saveas>>',         'on_file_saveas'),
        ('<<file-close>>',          'on_file_close'),
        ('<<file-exit>>',           'on_file_exit'),
        ('<3>',                     'on_r_menu')
    ]

#toolbuttonlist
toolbuttonlist=\
    [
        ('image/new.gif', '<<file-new>>'),
        ('image/open.gif', '<<file-open>>'),
        ('image/save.gif', '<<file-save>>'),
        (None, None),
        ('image/cut.gif', '<<Cut>>'),
        ('image/copy.gif', '<<Copy>>'),
        ('image/paste.gif', '<<Paste>>'),
        (None, None),
        ('image/undo.gif', '<<undo>>'),
        ('image/redo.gif', '<<redo>>')
    ]