from Tkinter import *

__all__=\
    [
        'keylist', 
        'eventlist',
        'menulist',
        'on_edit_select_word', 
        'on_edit_select_line',
        'on_edit_select_all'
    ]

menulist=\
    [
        ('_Edit',
            [
                ('Select',
                    [
                        ('Select Word\tCtrl+W',     '<<edit-select-word>>'),
                        ('Select Line\tCtrl+L',     '<<edit-select-line>>'),
                        ('Select All\tCtrl+A',     '<<edit-select-all>>')
                    ]
                )
            ])
    ]

keylist=\
    {
        '<<edit-select-word>>':     ['<Control-w>'],
        '<<edit-select-line>>':     ['<Control-l>'],
        '<<edit-select-all>>':      ['<Control-a>']
    }

eventlist=\
    [
        ('<<edit-select-word>>',    'on_edit_select_word'),
        ('<<edit-select-line>>',    'on_edit_select_line'),
        ('<<edit-select-all>>',     'on_edit_select_all')
    ]

def on_edit_select_word(self, event=None):
    self.text.tag_remove(SEL, '1.0', END)
    self.text.tag_add(SEL, 'insert wordstart', 'insert wordend')
    return "break"

def on_edit_select_line(self, event=None):
    self.text.tag_remove(SEL, '1.0', END)
    self.text.tag_add(SEL, 'insert linestart', 'insert lineend')
    return "break"

def on_edit_select_all(self, event=None):
    self.text.tag_add(SEL, '1.0', END)
    return "break"
