"""remove html tags"""
import re
from Tkinter import *

__all__=\
    [
        'eventlist',
        'menulist',
        'rmenulist',
        'on_plugin_rmtag',
        'on_plugin_rmalltag'
    ]

menulist=\
    [
        ('_Plugin',
            [
                ('Remove Html Tags',    
                    [
                        ('Remove Tag', '<<plugin-rmtag>>'),
                        ('Remove All Tags', '<<plugin-rmalltag>>')
                    ])
            ])
    ]

rmenulist=\
    [
        ('Remove Html Tags',    
            [
                ('Remove Tag', '<<plugin-rmtag>>'),
                ('Remove All Tags', '<<plugin-rmalltag>>')
            ])
    ]

eventlist=\
    [
        ('<<plugin-rmtag>>',    'on_plugin_rmtag'),
        ('<<plugin-rmalltag>>',    'on_plugin_rmalltag')
    ]

def input(root):
    global result
    result=None
    top=Toplevel(root)
    top.wm_transient(root)
    top.wm_geometry('267x101+428+154')
    top.wm_title('input start tag and end tag')
    lab1=Label(top, text='Start Tag')
    lab2=Label(top, text='End Tag')
    btag=StringVar()
    etag=StringVar()
    def cmdok(btag=btag, etag=etag, top=top):
        global result
        result=btag.get(), etag.get()
        top.destroy()
    def cmdcancel(top=top):
        top.destroy()
    btnok=Button(top, pady=0, text='OK', command=cmdok, default=ACTIVE)
    btncancel=Button(top, pady=0, text='Cancel', command=cmdcancel)
    btnok.bind("<Return>", cmdok)
    btncancel.bind("<Escape>", cmdcancel)
    enstart=Entry(top, background='white', textvariable=btag)
    enend=Entry(top, background='white', textvariable=etag)
    lab1.place(x=25, y=10, width=58, height=19, anchor=NW)
    lab2.place(x=30, y=40, width=53, height=14, anchor=NW)
    btnok.place(x=125, y=70, width=45, height=21, anchor=NW)
    btncancel.place(x=180, y=70, width=45, height=21, anchor=NW)
    enstart.place(x=95, y=10, width=131, height=19, anchor=NW)
    enend.place(x=95, y=35, width=131, height=19, anchor=NW)
    enstart.focus_set()
    top.grab_set()
    top.wait_window(top)
    root.focus_set()
    return result

def on_plugin_rmtag(self, event=None):
    first, end=self.get_select()
    if not first:
        self.set_select('1.0', 'end')
    text=self.get_select_text()
    if text:
        r=input(self.text)
        if r:
            btag, etag=r
            if not etag:
                re_remove=re.compile(r"%s" % btag, re.I|re.S)
            else:
                re_remove=re.compile(r"%s.*?%s" % (btag, etag), re.I|re.S)
            text=re_remove.sub("", text)
            self.set_select_text(text)


def on_plugin_rmalltag(self, event=None):
    first, end=self.get_select()
    if not first:
        self.set_select('1.0', 'end')
    text=self.get_select_text()
    if text:
        text=re.sub(r'<.*?>', '', text)
        self.set_select_text(text)