#!/usr/bin/env python

from Tkinter import *

class ImageList:
    def __init__(self, filelist=None):
        self.images=[]
        if filelist:
            self.add(filelist)

    def add(self, filelist):
        if filelist==None: return
        if type(filelist)==type([]):
            for file in filelist:
                image=PhotoImage(file=file)
                self.images.append(image)
        else:
            image=PhotoImage(file=filelist)
            self.images.append(image)

    def __getitem__(self, index):
        return self.images[index]