#make menu routin
from Tkinter import *

def make(root, menulist):

    menu = Menu(root)

    for caption, event in menulist:
        submenu=Menu(menu, tearoff=0)
        caption, underline, accelerator = prepstr(caption)
        if type(event)==type([]):
            menu.add_cascade(label=unicode(caption), underline=underline, menu=submenu)
            makesubmenu(root, submenu, event)
        else:
            caption, underline, accelerator = prepstr(caption)
            def command(root=root, event=event):
                root.event_generate(event)
            menu.add_command(label=unicode(caption), underline=underline, accelerator=accelerator, command=command)

    return menu

def makesubmenu(root, menu, menulist):
    for caption, event in menulist:
        if type(event)==type([]):   #has submenu
            submenu=Menu(menu, tearoff=0)
            menu.add_cascade(label=unicode(caption), menu=submenu)
            makesubmenu(root, submenu, event)
        else:
            if caption == '-':
                menu.add_separator()
            else:
                caption, underline, accelerator = prepstr(caption)
                def command(root=root, event=event):
                    root.event_generate(event)
                menu.add_command(label=unicode(caption), underline=underline, accelerator=accelerator, command=command)

def mergemenu(menulist):
    menus=[]
    m=menulist[:]
    mergesubmenu(menus, m)
    return menus

def mergesubmenu(menus, menulist):
    def inlist(list, item):
        for i in range(len(list)):
            n1, n2 = list[i]
            if item==n1: return i
        return -1
    for menu, sub in menulist:
        if type(sub)==type([]):         #if has submenu
            i=inlist(menus, menu)
            if i>=0:
                mergesubmenu(menus[i][1], sub)
            else:
                menus.append((menu,sub))
        else:
            menus.append((menu, sub))

def prepstr(s):
    if s.find('\t') >= 0:
        c, a = s.split('\t')
    else:
        c = s
        a=''
    i = c.find('_')
    if i >= 0:
        c = c[:i] + c[i+1:]
    return c, i, a

