#add comment
#convert space to '&nbsp;'
__all__=\
    [
        'keylist', 
        'eventlist',
        'menulist',
        'rmenulist',
        'on_plugin_makeallcomment',
        'on_plugin_removeallcomment'
    ]

menulist=\
    [
        ('_Plugin',
            [
                ('Make All Comment\tCtrl+3',     '<<plugin-makeallcomment>>'),
                ('Remove All Comment\tCtrl+4',   '<<plugin-removeallcomment>>')
            ])
    ]

rmenulist=\
    [
        ('Make All Comment\tCtrl+3',     '<<plugin-makeallcomment>>'),
        ('Remove All Comment\tCtrl+4',   '<<plugin-removecomment>>')
    ]

keylist=\
    {
        '<<plugin-makeallcomment>>':       ['<Control-Key-3>'],
        '<<plugin-removeallcomment>>':     ['<Control-Key-4>']
    }

eventlist=\
    [
        ('<<plugin-makeallcomment>>',    'on_plugin_makeallcomment'),
        ('<<plugin-removeallcomment>>',    'on_plugin_removeallcomment')
    ]

def on_plugin_makeallcomment(self, event=None):
    head, tail, chars, lines=self.get_region()
    for pos in range(len(lines) - 1):
        line = lines[pos]
        lines[pos] = '#' + line
    self.set_region(head, tail, chars, lines)
        
def on_plugin_removeallcomment(self, event=None):
    head, tail, chars, lines = self.get_region()
    for pos in range(len(lines)):
        line = lines[pos]
        if not line:
            continue
        if line[:1] == '#':
            line = line[1:]
        lines[pos] = line
    self.set_region(head, tail, chars, lines)
