#structure text
import StructuredText
import re

__all__=\
    [
        'eventlist',
        'menulist',
        'rmenulist',
        'on_plugin_constructtext'
    ]

menulist=\
    [
        ('_Plugin',
            [
                ('Convert Structure Text',     '<<plugin-constructtext>>')
            ])
    ]

rmenulist=\
    [
        ('Convert Structure Text',     '<<plugin-constructtext>>')
    ]

eventlist=\
    [
        ('<<plugin-constructtext>>',    'on_plugin_constructtext')
    ]

def on_plugin_constructtext(self, event=None):
    text=self.get_select_text()
    if text:
        text=str(text)
        text = str(StructuredText.HTML(text,level=3))
        text = re.sub(r'(?i)(<|&lt;)!--STXKLUDGE--(>|&gt;)', r'', text)
        text = text.replace('<html>\n<body>\n', '')
        text = text.replace('</body>\n</html>', '')
        self.set_select_text(unicode(text))

    
