from Tkinter import *

class windowlist:
    def __init__(self, root):
        self.root=root
        self.wlist=[]
        self.radios=[]
        self.show()
        self.var=IntVar()
        self.root.protocol("WM_DELETE_WINDOW", self.close)    #add quit message
        self.root.wm_title('FlyEdit - main')

    def show(self):
        root=self.root
        self.w=root.winfo_screenwidth()-6
        self.h=20
        self.sh=root.winfo_screenheight()-self.h-100
        root.geometry("%dx%d+0+0" % (self.w, self.h))
        root.resizable(width=0, height=0)

    def add(self, win):
        self.wlist.append(win)
        win.root.maxsize(self.w, self.sh)
        win.root.geometry("%dx%d+0+%d" % (self.w, self.sh, 45))
        radio=Radiobutton(self.root, text=unicode(win.root.wm_title().split()[0]), variable=self.var, 
            value=len(self.wlist)-1, command=self.select, bd=1, indicatoron=0)
        self.radios.append(radio)
        radio.select()
        self.replacebutton()

    def replacebutton(self):
        root=self.root
        w=self.w
        if len(self.radios)>0:
            t=w/(len(self.radios))
        else:
            t=w
        e=min(t, 100) #cal each button
        h=root.winfo_height()
        for i in range(len(self.radios)):
            radio=self.radios[i]
            radio.place(anchor=NW, height=20, width=e, x=i*e, y=0)

    def deletewin(self, win):
        i=self.wlist.index(win)
        self.wlist.remove(win)
        if len(self.wlist)==0:
            self.close()
            return
        radio=self.radios[i]
        self.radios.remove(radio)
        radio.destroy()
        for i in range(len(self.radios)):
            self.radios[i].config(value=i)
        self.replacebutton()

    def change(self, win):
        try:
            i=self.wlist.index(win)
        except:
            return
        radio=self.radios[i]
        radio.config(text=unicode(win.root.wm_title().split()[0]))

    def select(self):
        win=self.wlist[self.var.get()]
        win.root.deiconify()

    closeflag=0

    def close(self, event=None):
        if len(self.wlist)>0:
            while 1:
                if len(self.wlist)>0:
                    win=self.wlist[0]
                    if win.close()=='cancel':
                        break
                else:
                    break
        if len(self.wlist)==0 and self.closeflag==0:
            self._close()
            return 1
        return 0

    def _close(self):
        self.closeflag=1
        self.root.destroy()
